com.franz.jlinker

## Enum LispCall.JlinkerState

- java.lang.Object
- - java.lang.Enum<LispCall.JlinkerState>
  - - com.franz.jlinker.LispCall.JlinkerState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LispCall.JlinkerState>
  Enclosing class:
    LispCall

      public static enum LispCall.JlinkerState
      extends java.lang.Enum<LispCall.JlinkerState>

  This enum defines the constants that identify the states of a Jlinker connection.

  Introduced in version 7001002.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTING` A connection is being created but is not ready.
    `DISCONNECTED` A connection was established and is now completely shut down.
    `DISCONNECTING` A connection is being shut down.
    `IDLE` A Jlinker connection has never been established.
    `READY` A connection is ready.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LispCall.JlinkerState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LispCall.JlinkerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final LispCall.JlinkerState IDLE

      A Jlinker connection has never been established.

      It is possible to create a new connection with connect() or advertise().

    - #### CONNECTING

          public static final LispCall.JlinkerState CONNECTING

      A connection is being created but is not ready.

    - #### READY

          public static final LispCall.JlinkerState READY

      A connection is ready.

      This is the only state in which calls to Lisp can be made.

    - #### DISCONNECTING

          public static final LispCall.JlinkerState DISCONNECTING

      A connection is being shut down.

    - #### DISCONNECTED

          public static final LispCall.JlinkerState DISCONNECTED

      A connection was established and is now completely shut down.

      It is possible to create a new connection with connect() or advertise().

  - ### Method Detail

    - #### values

          public static LispCall.JlinkerState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LispCall.JlinkerState c : LispCall.JlinkerState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LispCall.JlinkerState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null